xine-lib: opengl2_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
opengl2_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
vo_scale_t | sc
xine_gl_t * | gl
int | texture_float
GLenum | fmt_1p
GLenum | fmt_2p
opengl2_program_t | csc_shaders [OGL2_cscs_LAST]
opengl2_csc_shader_t | last_csc_shader
opengl2_yuvtex_t | yuvtex
GLuint | videoPBO
GLuint | overlayPBO
GLuint | fbo
int | last_gui_width
int | last_gui_height
int | ovl_changed
int | ovl_vid_scale
int | num_ovls
uint32_t | ovls_drawn
opengl2_overlay_t | overlays [XINE_VORAW_MAX_OVL]
float | csc_matrix [3 *4]
int | color_standard
int | update_csc
int | input_scale
int | saturation
int | contrast
int | brightness
int | hue
struct {
int value
int changed
float mid
float side
float corn
opengl2_program_t program
} | sharp
struct {
int flags
int changed
} | transform
struct {
opengl2_program_t pass1_program
opengl2_program_t pass2_program
GLuint lut_texture
GLuint pass1_texture
GLuint fbo
int pass1_tex_w
int pass1_tex_h
int scale
uint32_t flags
} | bicubic
pthread_mutex_t | drawable_lock
uint32_t | display_width
uint32_t | display_height
config_values_t * | config
xine_t * | xine
int | zoom_x
int | zoom_y
int | cm_state
uint8_t | cm_lut [32]
int | max_video_width
int | max_video_height
int | max_display_width
int | max_display_height
vo_accel_generic_t | accel
int | exit_indx
int | exiting
xine_hwdec_t * | hw
xine_glconv_t * | glconv

## Field Documentation

## ◆ accel

vo_accel_generic_t opengl2_driver_t::accel

## ◆

struct { ... } opengl2_driver_t::bicubic

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_setup_bicubic().

## ◆ brightness

int opengl2_driver_t::brightness

Referenced by opengl2_update_csc_matrix().

## ◆ changed

int opengl2_driver_t::changed

Referenced by opengl2_draw().

## ◆ cm_lut

uint8_t opengl2_driver_t::cm_lut[32]

## ◆ cm_state

int opengl2_driver_t::cm_state

## ◆ color_standard

int opengl2_driver_t::color_standard

Referenced by opengl2_update_csc_matrix().

## ◆ config

config_values_t* opengl2_driver_t::config

## ◆ contrast

int opengl2_driver_t::contrast

Referenced by opengl2_update_csc_matrix().

## ◆ corn

float opengl2_driver_t::corn

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ csc_matrix

float opengl2_driver_t::csc_matrix[3 *4]

Referenced by opengl2_update_csc_matrix(), and opengl2_use_csc().

## ◆ csc_shaders

opengl2_program_t opengl2_driver_t::csc_shaders[OGL2_cscs_LAST]

Referenced by opengl2_draw(), and opengl2_use_csc().

## ◆ display_height

uint32_t opengl2_driver_t::display_height

## ◆ display_width

uint32_t opengl2_driver_t::display_width

## ◆ drawable_lock

pthread_mutex_t opengl2_driver_t::drawable_lock

## ◆ exit_indx

int opengl2_driver_t::exit_indx

## ◆ exiting

int opengl2_driver_t::exiting

## ◆ fbo

GLuint opengl2_driver_t::fbo

Referenced by _opengl2_setup_bicubic(), opengl2_draw(), and opengl2_draw_video_bicubic().

## ◆ flags [1/2]

int opengl2_driver_t::flags

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw(), and opengl2_setup_bicubic().

## ◆ flags [2/2]

uint32_t opengl2_driver_t::flags

## ◆ fmt_1p

GLenum opengl2_driver_t::fmt_1p

Referenced by opengl2_draw().

## ◆ fmt_2p

GLenum opengl2_driver_t::fmt_2p

Referenced by opengl2_draw().

## ◆ gl

xine_gl_t* opengl2_driver_t::gl

Referenced by opengl2_draw().

## ◆ glconv

xine_glconv_t* opengl2_driver_t::glconv

Referenced by opengl2_draw().

## ◆ hue

int opengl2_driver_t::hue

Referenced by opengl2_update_csc_matrix().

## ◆ hw

xine_hwdec_t* opengl2_driver_t::hw

Referenced by opengl2_draw().

## ◆ input_scale

int opengl2_driver_t::input_scale

Referenced by opengl2_update_csc_matrix().

## ◆ last_csc_shader

opengl2_csc_shader_t opengl2_driver_t::last_csc_shader

Referenced by opengl2_use_csc().

## ◆ last_gui_height

int opengl2_driver_t::last_gui_height

## ◆ last_gui_width

int opengl2_driver_t::last_gui_width

## ◆ lut_texture

GLuint opengl2_driver_t::lut_texture

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw_video_bicubic(), opengl2_draw_video_cubic_x(), and opengl2_draw_video_cubic_y().

## ◆ max_display_height

int opengl2_driver_t::max_display_height

## ◆ max_display_width

int opengl2_driver_t::max_display_width

## ◆ max_video_height

int opengl2_driver_t::max_video_height

## ◆ max_video_width

int opengl2_driver_t::max_video_width

## ◆ mid

float opengl2_driver_t::mid

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ num_ovls

int opengl2_driver_t::num_ovls

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_update_overlays().

## ◆ overlayPBO

GLuint opengl2_driver_t::overlayPBO

## ◆ overlays

opengl2_overlay_t opengl2_driver_t::overlays[XINE_VORAW_MAX_OVL]

Referenced by opengl2_draw_scaled_overlays(), opengl2_draw_unscaled_overlays(), and opengl2_update_overlays().

## ◆ ovl_changed

int opengl2_driver_t::ovl_changed

Referenced by opengl2_update_overlays().

## ◆ ovl_vid_scale

int opengl2_driver_t::ovl_vid_scale

Referenced by opengl2_draw_scaled_overlays(), and opengl2_update_overlays().

## ◆ ovls_drawn

uint32_t opengl2_driver_t::ovls_drawn

Referenced by opengl2_draw_scaled_overlays(), and opengl2_draw_unscaled_overlays().

## ◆ pass1_program

opengl2_program_t opengl2_driver_t::pass1_program

Referenced by _opengl2_setup_bicubic(), opengl2_draw_video_bicubic(), and opengl2_draw_video_cubic_x().

## ◆ pass1_tex_h

int opengl2_driver_t::pass1_tex_h

Referenced by opengl2_draw_video_bicubic().

## ◆ pass1_tex_w

int opengl2_driver_t::pass1_tex_w

Referenced by opengl2_draw_video_bicubic().

## ◆ pass1_texture

GLuint opengl2_driver_t::pass1_texture

Referenced by opengl2_draw_video_bicubic().

## ◆ pass2_program

opengl2_program_t opengl2_driver_t::pass2_program

Referenced by _opengl2_setup_bicubic(), opengl2_draw_video_bicubic(), and opengl2_draw_video_cubic_y().

## ◆ program

opengl2_program_t opengl2_driver_t::program

Referenced by opengl2_sharpness().

## ◆ saturation

int opengl2_driver_t::saturation

Referenced by opengl2_update_csc_matrix().

## ◆ sc

vo_scale_t opengl2_driver_t::sc

Referenced by opengl2_draw(), and opengl2_draw_unscaled_overlays().

## ◆ scale

int opengl2_driver_t::scale

Referenced by opengl2_draw(), and opengl2_set_bicubic().

## ◆

struct { ... } opengl2_driver_t::sharp

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ side

float opengl2_driver_t::side

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ texture_float

int opengl2_driver_t::texture_float

## ◆

struct { ... } opengl2_driver_t::transform

Referenced by opengl2_draw().

## ◆ update_csc

int opengl2_driver_t::update_csc

Referenced by opengl2_update_csc_matrix().

## ◆ value

int opengl2_driver_t::value

Referenced by opengl2_draw().

## ◆ videoPBO

GLuint opengl2_driver_t::videoPBO

Referenced by opengl2_draw().

## ◆ vo_driver

vo_driver_t opengl2_driver_t::vo_driver

## ◆ xine

xine_t* opengl2_driver_t::xine

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_update_csc_matrix(), and opengl2_use_csc().

## ◆ yuvtex

opengl2_yuvtex_t opengl2_driver_t::yuvtex

Referenced by opengl2_draw(), and opengl2_swap_textures().

## ◆ zoom_x

int opengl2_driver_t::zoom_x

## ◆ zoom_y

int opengl2_driver_t::zoom_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_opengl2.c